L. Peter Deutsch (né Laurence Peter Deutsch le à Boston dans l'État de Massachusetts aux États-Unis) est le créateur du logiciel Ghostscript, un interpréteur PostScript et PDF multiplate-forme.

Biographie Présentation Diplômé de l'université de Californie, à Berkeley en 1973« An interactive program verifier » par Laurence Peter Deutsch en juin 1973 à l'université de Californie (Berkeley, USA), il travaille par la suite pour Xerox PARC Il développe entre 1971 et 1986 les toutes 1 machine virtuelles., ParcPlace Systems et Sun Microsystems. Il est connu pour ses nombreux travaux sur Smalltalk « The Past, The Present, and Future of Smalltalk », un exposé sur Smalltalk écrit lorsqu'il travaillait pour ParcPlace Systems., notamment sur Smalltalk-80, la dernière implémentation du langage à l'origine de la compilation à la volée des premières versions de Java « Efficient Implementation of the Smalltalk-80 System », coécrit avec Allan M. Schiffman du MIT AI Lab lorsqu'il travaillait pour Xerox PARC, et pour l'implémentation des langages Lisp 1.5Basic PDP-1 LISP, développé entre 1960 et 1964 (adolescence). et TRAC sur machines PDP-1.

Il est également l'auteur de nombreuses RFCsRFC 190, RFC 446, RFC 550, RFC 567, RFC 606, RFC 1950, RFC 1951 et RFC 1952. Son nom est par ailleurs associé aux illusions de l'informatique distribuée.

Il devient membre honorifique de la société savante ACM en 1994.

Le Milieu Hacker et la Philosophie du Logiciel libre En 1998, L. Peter Deutsch se déclare frustré par son expérience professionnelle des années 1971 à 1986 au Palo Alto research center, et tout particulièrement par ses cinq dernières années lorsqu'il travaille sur Smalltalk. Il regrette que son travail ne puisse déboucher sur des solutions et produits finaux. Et l'incapacité de Xerox à distribuer librement ses travaux contraste avec sa fascination pour le milieu hacker. Il s'arrange pour quitter Xerox PARC une année, et débute en un travail à mi-temps dans une petite entreprise. Il souhaite consacrer son temps au milieu hacker et développer des logiciels libres. Il hésite malgré tout lorsqu'il apprend, en marge de la conférence OOPSLA de 86 à Portland, le projet de création d'entreprise d'anciens collègues, autour de Smalltalk.

Il rencontre alors Richard Stallman avec qui il partage ses réflexions.

Il développe finalement Ghostscript pour le projet GNU.

Ghostscript Il poursuit dès lors les développements de Ghostscript en soirée et sur son temps libre, tout en travaillant pour son employeur la journée, à plein temps, pendant six ans et demiCinq ans chez ParcPlace Systems et un an et demi chez Sun Microsystems.. Il fonde ensuite la société Aladdin Enterprises pour distribuer le logiciel Ghostscript sous licence AFPL, puis la société Artifex Software pour le distribuer sous une double licence, AFPL et GPL.

État civil Deutsch a changé son premier prénom Laurence en L. le Acte civil officiel n°CIV464587 consultable en ligne depuis le 3 décembre 2008., officialisant ainsi l'utilisation du nom L. Peter Deutsch dans ses publications et autres activités publiques antérieures.

Notes et références

Voir aussi Articles connexes Ghostscript GNU Ghostscript

Liens externes

Interview de L. Peter Deutsch publiée en dans le magazine de programmation Dr. Dobb's Journal.

Catégorie:Naissance en août 1946 Catégorie:Personnalité américaine de l'informatique Catégorie:Étudiant de l'université de Californie à Berkeley